continue(1)

NAME
continue - skip the rest of the current lap of the innermost currently evaluated loop

  Synopsis
LOOP_CONSTRUCT; [COMMANDS...;] continue; [COMMANDS...;] end

  Description
The continue builtin is used to skip the current lap of the innermost currently running loop, such as a for loop or a while loop. It is usually added inside of a conditional block such as an if statement or a switch statement.

  Example
The following code removes all tmp files without smurfs.

for i in *.tmp
    if grep smurf $i
        continue
    end
    rm $i
end